Get External Service
Retrieve an external service.
Extensions, created from other APIs will not be returned.
Request
URI
GET
https://{api_host}/cloudapi/extensions/api/{id}
COPY
Path Parameters
string
id
Required
id
Responses
200
OK
Returns
ExternalService
of type(s)
application/json;version=9.1.0
{
"name": "string",
"id": "urn:vcloud:extension:VMware.Timer:1.0.0",
"version": "1.0.0",
"vendor": "VMware",
"priority": 0,
"enabled": false,
"authorizationEnabled": false,
"description": "string",
"mqttTopics": {
"mqttTopics": "string"
}
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/extensions/api/{id}
Availability
Added in 35.0
External Service Operations
GET
Get External Services
POST
Create External Service
GET
Get External Service
PUT
Update External Service
DELETE
Delete External Service